# $Revision: 1.32 $, $Date: 2007/01/23 15:47:01 $
%define		mod_name	auth_pgsql
%define 	apxs		/usr/sbin/apxs1
Summary:	This is the PostgreSQL authentication module for Apache
Summary(cs):	Zkladn autentizace pro WWW server Apache pomoc PostgreSQL
Summary(da):	Autenticering for webtjeneren Apache fra en PostgreSQL-database
Summary(de):	Authentifizierung fr den Apache Web-Server, der eine PostgreSQL-Datenbank verwendet
Summary(es):	Autenticacin va PostgreSQL para Apache
Summary(fr):	Authentification de base pour le serveur Web Apache utilisant une base de donnes PostgreSQL
Summary(it):	Autenticazione di base per il server web Apache mediante un database PostgreSQL
Summary(ja):	PostgreSQL ǡ١Ȥä Apache Web Сؤδǧ
Summary(nb):	Autentisering for webtjeneren Apache fra en PostgreSQL-database
Summary(pl):	Modu uwierzytelnienia PostgreSQL dla Apache
Summary(pt_BR):	Autenticao via PostgreSQL para o Apache
Summary(sv):	Grundlggande autenticering till webbservern Apache med en PostgreSQL-databas
Name:		apache1-mod_%{mod_name}
Version:	0.9.12
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.giuseppetanzilli.it/mod_%{mod_name}/dist/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	7be403b7487c13cdb023cc526ee2e13a
URL:		http://www.giuseppetanzilli.it/mod_auth_pgsql/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	postgresql-devel >= 7
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_auth_pgsql <= 0.9.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using PostgreSQL RDBMS.

%description -l cs
Balek mod_auth_pgsql slou pro omezen pstupu k dokumentm, kter
poskytuje WWW server Apache. Jmna a hesla jsou uloena v databzi
PostgreSQL.

%description -l de
Mod_auth_pgsql kann verwendet werden, um den Zugriff auf von einem
Web- Server bediente Dokumente zu beschrnken, indem es die Felder in
einer Tabelle in einer PostgresQL-Datenbank prft.

%description -l es
Mod_auth_pgsql puede usarse para limitar el acceso a documentos
servidos desde un servidor web verificando datos en una base de datos
PostgreSQL.

%description -l fr
mod_auth_pgsql peut tre utilis pour limiter l'accs  des documents
servis par un serveur Web en vrifiant des champs dans une table d'une
base de donnes PostgresQL.

%description -l it
Mod_auth_pgsql pu essere usato per limitare l'accesso a documenti
serviti da un server Web controllando i campi di una tabella in un
database PostgresQL.

%description -l ja
Mod_auth_pgsql ϡPostgresQL ǡ١Υơ֥Υեɤ
å뤳ȤˤäơWeb С󶡤ʸؤΥ
¤Ǥޤ

%description -l pl
To jest modu uwierzytelnienia dla Apache pozwalajcy na
uwierzytelnianie klientw HTTP z uyciem bazy danych PostgreSQL.

%description -l pt_BR
Com o mod_auth_pgsql voc pode fazer autenticao no Apache usando o
PostgreSQL.

%description -l sv
Mod_auth_pgsql kan anvndas fr att begrnsa tkomsten till dokument
servade av en webbserver genom att kontrollera data i en
PostgreSQL-databas.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} \
	-I%{_includedir}/postgresql \
	-lpq \
	-c mod_%{mod_name}.c \
	-o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 0.9.12-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc *.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_auth_pgsql.spec,v $
Revision 1.32  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.31  2006/12/20 08:38:51  hawk
- release 3 to rebuild with PostgreSQL 8.2

Revision 1.30  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.29  2006/04/14 16:50:13  glen
- use %service

Revision 1.28  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.27  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.26  2005/02/15 12:00:32  glen
- rel 2; STBR

Revision 1.25  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.24  2004/10/28 12:31:46  paladine
- "PostgreSQL" unification

Revision 1.23  2004/08/29 19:18:04  radek
- mv apache{,1}-*, release 1

Revision 1.22  2004/02/28 22:21:42  qboosh
- s/autentykacja/uwierzytelnienie/ (and other forms)

Revision 1.21  2004/02/18 15:10:25  qboosh
- s/no/nb/ in Summary langs

Revision 1.20  2003/08/06 16:10:55  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.19  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.18  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.17  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.16  2003/05/25 05:45:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.14  2002/06/30 00:45:57  kloczek
- release 4: mod_auth_pgsql added to Obsoletes.

Revision 1.13  2002/04/25 15:45:30  arturs
- fixed a small typo

Revision 1.12  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/17 21:04:45  ankry
- release 3

Revision 1.10  2002/02/17 19:01:42  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.9  2002/02/17 04:58:49  kloczek
- reelase 2.

Revision 1.8  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.7  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/13 17:11:23  kloczek
- updayed to 0.9.12 (bugfix release).

Revision 1.5  2001/11/23 02:44:12  kloczek
- updated to 0.9.11,
- removed outdated version patch.

Revision 1.4  2001/10/31 14:10:04  qboosh
- pl translations

Revision 1.3  2001/10/25 08:32:58  kloczek
- merge translations from CNV.

Revision 1.2  2001/10/24 14:12:36  zagrodzki
- added documentation

Revision 1.1  2001/10/24 14:04:50  zagrodzki
- initial release
